<template>
  <div>
    <div @click="toggle">
      <slot name="toggle" />
    </div>

    <transition
      enter-active-class="animated swing-in-top-fwd fast"
      leave-active-class="animated swing-out-top-bck fast"
    >
      <slot v-if="isOpen" />
    </transition>
  </div>
</template>

<script lang="ts">
import { Vue, Component, Model } from 'vue-property-decorator'
import { State } from 'vuex-class'

@Component
export default class Collapse extends Vue {
  @Model('toggle', { default: false }) open: boolean

  isOpen = this.open

  toggle () {
    this.isOpen = !this.isOpen
  }
}
</script>

<style>
</style>
